<!doctype html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<title>Ajax Request Example</title>
</head>

<body>
	<form>
		<ul>

			<span id="ajaxButton" style="cursor: pointer; text-decoration: underline">
    Make a request
  </span>
			<input id="input" type="text" name="field1" class="field-divided" placeholder="Url" />


			<button id="userButton" type="submit" value="input" style="cursor: pointer;">Test URL
  </button>

		</ul>
	</form>


	<script type="text/javascript">
		(function () {
			var httpRequest;
			var testUrl = 'data/story.json';
			var givenUrl = document.getElementById("input");
			// Use Github Gist when no web server is available
			// var testUrl = https://gist.githubusercontent.com/c0lin/571d38b984d41b44aacf/raw/story.json';
			document.getElementById("ajaxButton").onclick = function () { makeRequest(testUrl); };
			document.getElementById("userButton").onclick = function () { makeRequest(givenUrl); };




			function makeRequest(url) {
				if (window.XMLHttpRequest) { // Mozilla, Safari, ...
					httpRequest = new XMLHttpRequest();
				}
				else if (window.ActiveXObject) { // IE
					try {
						httpRequest = new ActiveXObject("Msxml2.XMLHTTP");
					}
					catch (e) {
						try {
							httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
						}
						catch (e) {}
					}
				}

				if (!httpRequest) {
					alert('Giving up :( Cannot create an XMLHTTP instance');
					return false;
				}

				// set a callback function for when the httpRequest completes
				httpRequest.onreadystatechange = alertContents;
				httpRequest.onreadystatechange = alertContents2;
				// now do the actual AJAX request
				httpRequest.open('GET', url);
				httpRequest.send();
			}

			// the callback
			// this will be run when the request completes (see above)
			function alertContents() {
				if (httpRequest.readyState === 4) {
					if (httpRequest.status === 200) {
						alert(httpRequest.responseText);
					}
					else {
						alert('There was a problem with the request.');
					}
				}
			}

			function alertContents2() {
				if (httpRequest.readyState === 4) {
					if (httpRequest.status === 404) {
						alert("Site is DOWN!");
					}
					else {
						alert(httpRequest.responseText + "Toimii");
					}
				}
			}


		})();
	</script>

</body>

</html>
